<div class="BookDetailDialog-container">
    <h1 mat-dialog-title>{{ bookTmp.volumeInfo.title }}</h1>
    <div mat-dialog-content>
        <ng-container *ngIf="!(isLoading$ | async); else spinner">
            <ng-container *ngIf="book$ | async as book">
                <img class="BookDetailDialog__book-image" [src]="book.volumeInfo.imageLinks.thumbnail" />
                <div class="BookDetailDialog__book-info">
                    <b>Subtitle</b>
                    <p>
                        {{ book.volumeInfo.subtitle || 'Not specified' }}
                    </p>
                    <b>Authors</b>
                    <p>
                        {{ book.volumeInfo.authors || 'Not specified' }}
                    </p>
                    <b>Description</b>
                    <p [innerHTML]="book.volumeInfo.description || 'Not specified'"></p>
                    <b>Publish date</b>
                    <p>
                        {{ book.volumeInfo.publishDate || 'Not specified' }}
                    </p>
                    <b>Publisher</b>
                    <p>
                        {{ book.volumeInfo.publisher || 'Not specified' }}
                    </p>
                    <b>Avg. rating</b>
                    <p>
                        {{ book.volumeInfo.averageRating || 'Not specified' }}
                    </p>
                    <b>Ratings count</b>
                    <p>
                        {{ book.volumeInfo.ratingsCount || 'Not specified' }}
                    </p>
                </div>
            </ng-container>
        </ng-container>

        <ng-template #spinner>
            <div fxLayout="row" fxLayoutAlign="center center">
                <mat-spinner></mat-spinner>
            </div>
        </ng-template>
    </div>
</div>
